@import "config";
@import "media";


.person-share-section {
    text-align: right;
}

.person-profile-section {
    display: flex;
    gap: $space * 5;

    @include tablet {
        flex-direction: column;
    }

    .profile-section-left {
        flex-grow: 7;
        flex-basis: 63%;

        .profile-section-block-splited {
            display: flex;
            gap: $space * 5;

            @include phone {
                flex-direction: column;
            }

            .block-subsection-left {
                flex-grow: 36;
                flex-basis: 53%;
            }

            .block-subsection-right {
                flex-grow: 32;
                flex-basis: 47%;
            }
        }
    }

    .profile-section-right {
        flex-grow: 4;
        flex-basis: 36%;

        .profile-facts-title-text {
            font-size: $font-size-xxxlarge;
        }

        .profile-number {
            @extend %button;
            @extend %button-secondary;

            border-radius: $border-small-radius;
            padding: $space * 2.5 $space * 2.5 $space * 1.5;
            font-size: $font-size-small;
            min-width: 2.5em;
        }

        .profile-fact {
            margin: $space * 4 0;
            font-size: $font-size-small;
        }

        .profile-section-img {
            .profile-fact-img {
                width: 100%;
                border-radius: 15px;
            }
        }
    }
}

.block-subsection-left {
    position: relative;

    .person-img {
        width: 100%;
        height: auto;
        aspect-ratio: 3 / 3.4;
        //height: $space * 100;
        object-fit: cover;
        border-radius: $border-large-radius;
        background-color: #D9D9D9;
    }

    .person-lightened {
        position: absolute;
        bottom: $space * 2.5;
        left: $space * 2.5;
        right: $space * 2.5;
        display: flex;
        justify-content: space-between;

        .person-lightened-text-container {
            background-color: $color-accent;
            color: $color-text-base;
            border-radius: $border-small-radius;
            padding: $space * 3 $space * 7;
        }

        .person-lightened-img {
            width: $space * 8;
            height: $space * 8;
        }
    }
}

.block-subsection-right {
    background-color: $color-accent;
    border-radius: $border-large-radius;
    padding: $space * 8;
    display: flex;
    flex-direction: column;

    .profile-bio {
        .person-fio {
            font-size: $font-size-xlarge;
            font-weight: 500;

            @include large-desktop {
                font-size: 40px;
            }
        }

        .person-text {
            font-size: $font-size-large;

            @include large-desktop {
                font-size: 30px;
            }
        }
    }

    .profile-bio-icons {
        margin: $space * 8 0;

        @include large-desktop {
            font-size: 24px;
        }

        .bio-icon-item {
            display: flex;
            align-items: center;
            gap: $space * 2;
        }

        .social {
            margin: $space * 4 0;

            img,
            svg {
                width: $space * 10;
                height: $space * 10;

                @include large-desktop {
                    width: $space * 16;
                    height: $space * 16;
                }
            }
        }
    }

    button {
        margin-top: auto;
        font-size: $font-size-xlarge;
    }
}

.profile-section-block {
    padding: $space * 10 $space * 5;
    background-color: $color-input-background;
    border-radius: $border-large-radius;

    &:not(:first-child) {
        margin-top: $space * 8;
    }

    .profile-history-title-text {
        font-size: $font-size-xxxlarge;
        font-weight: 500;
    }

    .profile-history-block {
        margin: $space * 12 0;

        .profile-history-block-title {
            font-size: $font-size-large;
            margin: $space * 3 0;
            font-weight: 500;
        }
    }
}
